summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-01-11 06:52:05 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-01-11 06:52:05 +0000
commit73a38834cde93a1e36bab5bdb6b8216429e96d31 (patch)
tree71c0b4ecac088e2356a8566a32d022cc4e24ba6f /dev-python
parent4e389044f51c3307c5987f5678d64b1532a529f5 (diff)
downloadbaldeagleos-repo-73a38834cde93a1e36bab5bdb6b8216429e96d31.tar.gz
baldeagleos-repo-73a38834cde93a1e36bab5bdb6b8216429e96d31.tar.xz
baldeagleos-repo-73a38834cde93a1e36bab5bdb6b8216429e96d31.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/environs/Manifest1
-rw-r--r--dev-python/environs/environs-14.1.0.ebuild45
-rw-r--r--dev-python/faker/Manifest1
-rw-r--r--dev-python/faker/faker-33.3.1.ebuild43
-rw-r--r--dev-python/flask-migrate/Manifest1
-rw-r--r--dev-python/flask-migrate/flask-migrate-4.1.0.ebuild46
-rw-r--r--dev-python/inline-snapshot/Manifest3
-rw-r--r--dev-python/inline-snapshot/inline-snapshot-0.17.1.ebuild62
-rw-r--r--dev-python/inline-snapshot/inline-snapshot-0.19.0.ebuild (renamed from dev-python/inline-snapshot/inline-snapshot-0.18.1.ebuild)11
-rw-r--r--dev-python/libcst/Manifest9
-rw-r--r--dev-python/libcst/libcst-1.6.0.ebuild198
-rw-r--r--dev-python/mysqlclient/Manifest1
-rw-r--r--dev-python/mysqlclient/mysqlclient-2.2.7.ebuild93
-rw-r--r--dev-python/openapi-schema-validator/Manifest1
-rw-r--r--dev-python/openapi-schema-validator/openapi-schema-validator-0.6.3.ebuild34
-rw-r--r--dev-python/pathable/Manifest1
-rw-r--r--dev-python/pathable/pathable-0.4.4.ebuild28
-rw-r--r--dev-python/pytest-regressions/Manifest1
-rw-r--r--dev-python/pytest-regressions/pytest-regressions-2.7.0.ebuild61
-rw-r--r--dev-python/python-ironicclient/Manifest1
-rw-r--r--dev-python/python-ironicclient/python-ironicclient-5.10.0.ebuild49
-rw-r--r--dev-python/rdflib/Manifest1
-rw-r--r--dev-python/rdflib/rdflib-7.1.2.ebuild72
-rw-r--r--dev-python/responses/Manifest1
-rw-r--r--dev-python/responses/responses-0.25.5.ebuild47
-rw-r--r--dev-python/scikit-learn/Manifest1
-rw-r--r--dev-python/scikit-learn/scikit-learn-1.6.1.ebuild76
-rw-r--r--dev-python/trove-classifiers/Manifest1
-rw-r--r--dev-python/trove-classifiers/trove-classifiers-2025.1.10.15.ebuild42
-rw-r--r--dev-python/watchfiles/Manifest5
-rw-r--r--dev-python/watchfiles/watchfiles-1.0.4.ebuild119
31 files changed, 986 insertions, 69 deletions
diff --git a/dev-python/environs/Manifest b/dev-python/environs/Manifest
index 6751ae1cf67e..3d0f15ec8fe9 100644
--- a/dev-python/environs/Manifest
+++ b/dev-python/environs/Manifest
@@ -1,3 +1,4 @@
DIST environs-11.2.1.gh.tar.gz 25595 BLAKE2B 478818c964625965200b154ef9412a1d94ac9f78d507be0ebd378117613e7c7f8163c9db58225220ef9cde68367f973999a9914f13db6bdee02c83e9ee924518 SHA512 cd859e86b4308047ad661f3fa12788a117f70686e3f5dc7f55e876c9de38c6d2b75f208b488b99f3c9189080e8ebb45385fea45421d55e9b2f9a22ba4a3fbd86
DIST environs-12.0.0.gh.tar.gz 26281 BLAKE2B d663ede5220bc3d1b6f3a1da5b2b8500bfc98d134bf9ec00a81796fb1619c98e96b2336e474dee2d17e6b541fd97bcd916dcdb5d19509a76f6af28e2bf26b691 SHA512 30622788d787516408cb9a6548124475a752fb37284f880c534763007c736daf0c666c8e8c773cbb078da7ac3ba5b271aaf28d3d7842afb6da630bddf5233623
DIST environs-14.0.0.gh.tar.gz 28247 BLAKE2B fe1fcc78940840f67c8cb38d9f7c10d03e1c91b5f94943eaee1a603bfbb8bccbc46bed003913fb64a62b49ab40bfbe806ea0c21dc74926d48b2d58a8e96886fa SHA512 5caddf4ee09cc2e6acbad93d7f40b7d6fe9f241454a96ae33da2467858b7a53bc03132e702d87c6f9731f2b600a559135da6ac033de7ccd1b0623402ccdfbc4c
+DIST environs-14.1.0.gh.tar.gz 28783 BLAKE2B b93711edaa4b9d2a3353e3a06e9baf545716dd96da6f3288825fef15306d793c4b18d0401698c86cddd2813d723e188a7be6570940eec49171f81d1f6dea071f SHA512 26cc7a920b4d9a6d7d7c7f1c729e688767a03de8e439483c99020a0a838d9c52dc3f5d0e78db6b910cc087580efb42ce3cd8e3be32e69a889abd40d0fb1a9fd9
diff --git a/dev-python/environs/environs-14.1.0.ebuild b/dev-python/environs/environs-14.1.0.ebuild
new file mode 100644
index 000000000000..689ca390488c
--- /dev/null
+++ b/dev-python/environs/environs-14.1.0.ebuild
@@ -0,0 +1,45 @@
+# Copyright 2021-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python library for simplified environment variable parsing"
+HOMEPAGE="
+ https://github.com/sloria/environs/
+ https://pypi.org/project/environs/
+"
+SRC_URI="
+ https://github.com/sloria/environs/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64"
+
+RDEPEND="
+ dev-python/python-dotenv[${PYTHON_USEDEP}]
+ >=dev-python/marshmallow-3.18.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/typing-extensions[${PYTHON_USEDEP}]
+ ' 3.10)
+"
+BDEPEND="
+ test? (
+ $(python_gen_cond_dep '
+ dev-python/backports-strenum[${PYTHON_USEDEP}]
+ ' 3.10)
+ dev-python/django-cache-url[${PYTHON_USEDEP}]
+ dev-python/dj-database-url[${PYTHON_USEDEP}]
+ dev-python/dj-email-url[${PYTHON_USEDEP}]
+ )
+"
+
+DOCS=( CHANGELOG.md CONTRIBUTING.md README.md )
+
+distutils_enable_tests pytest
diff --git a/dev-python/faker/Manifest b/dev-python/faker/Manifest
index 9bf812fc5870..2c22bdc39438 100644
--- a/dev-python/faker/Manifest
+++ b/dev-python/faker/Manifest
@@ -1,2 +1,3 @@
DIST faker-33.1.0.tar.gz 1850515 BLAKE2B 71ff6e379f195f220af96562daa1876cd0476f321bb881091929b82ce576b30aa6aa11444411eb5cad30d1922fcfc940012f8b3cd36d074defd3336eac5f8a4a SHA512 0a24af11d64588de2a6c22844efcac11eeacc74faf439e4c0e4bca2cd8d3723177d8fdf5e3b0c6286776e659e38397cea80024ffaaae09c17067ae9b13ea983d
DIST faker-33.3.0.tar.gz 1854655 BLAKE2B 6a877f7d39b9174285cf406d343a2fbfd204eb0648c9964819c9eb0a4c77b866a846e2c6142221d28ef04097ff9a48971d5ea2ed5f93862a3f4bac77c6345959 SHA512 137082c70e37a863a27f1e0fb5ff807a6b8072fc71c53b1f7ace45f19e98398cfe7a7a419f39bd113755ab50939aa6b5991508015e990f18039d4cd61d397964
+DIST faker-33.3.1.tar.gz 1854895 BLAKE2B 15862330622cd257b0d663a67df4141b3673d077858a655def54152878ba290cb0c3480b0dfb40b2c69ac7481b827ac62827545bddd1edc97a1c5e55af35aad4 SHA512 48e1be12bdbcf12b4da44ede6bb0cd3a8937308f50e4145bbaf1fc80a3fb51dc430e03b5c4bf9a99fce66ea5cac9c5a8e806d036e4052588971ed264c8c472aa
diff --git a/dev-python/faker/faker-33.3.1.ebuild b/dev-python/faker/faker-33.3.1.ebuild
new file mode 100644
index 000000000000..d9c6380e1486
--- /dev/null
+++ b/dev-python/faker/faker-33.3.1.ebuild
@@ -0,0 +1,43 @@
+# Copyright 2022-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_PN=${PN^}
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="A Python package that generates fake data for you"
+HOMEPAGE="
+ https://github.com/joke2k/faker/
+ https://pypi.org/project/Faker/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/python-dateutil-2.4.2[${PYTHON_USEDEP}]
+ dev-python/typing-extensions[${PYTHON_USEDEP}]
+ !dev-ruby/faker
+"
+BDEPEND="
+ test? (
+ dev-python/freezegun[${PYTHON_USEDEP}]
+ dev-python/pillow[${PYTHON_USEDEP},tiff]
+ dev-python/validators[${PYTHON_USEDEP}]
+ )
+"
+
+# note: tests are flaky with xdist
+distutils_enable_tests pytest
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x PYTEST_PLUGINS=faker.contrib.pytest.plugin
+ epytest
+ epytest --exclusive-faker-session tests/pytest/session_overrides
+}
diff --git a/dev-python/flask-migrate/Manifest b/dev-python/flask-migrate/Manifest
index a9ec36fee4e3..ff859c2a5cc1 100644
--- a/dev-python/flask-migrate/Manifest
+++ b/dev-python/flask-migrate/Manifest
@@ -1 +1,2 @@
DIST Flask-Migrate-4.0.7.gh.tar.gz 27172 BLAKE2B 743eccd8705c57a5748676e3f824632d2a547291d9816f903311c7abbc62eb418bf422aed183b10d986a923a00337310b7ab03bce774f839c81520686a9b90f5 SHA512 51da745b60d43d24ee5b63e5ee7d354d12e53b7c62a9c639f322443df62113485a42a6fd21e50673742d6a35c1f175e15a2a0af8f20918b44bf34fc4c2da4c7c
+DIST Flask-Migrate-4.1.0.gh.tar.gz 27430 BLAKE2B 7adc49eb0b80cc74cc381ab803ccd2dfcc107beeb5fd06f24ca36a98f6e617e6f56a48c0ef739d41770ec508d4bf0e13b78f57be62d23317c8d797bfa1ef5c2d SHA512 683842e3e5832cf3eaf6b7ee5e194c1eb2fe1b096d3360a64f2f0de5024e1fa4ebd8e0b6659a1c87ded47efd0e07cecf9d82807e1e64af99a18bb9b596261963
diff --git a/dev-python/flask-migrate/flask-migrate-4.1.0.ebuild b/dev-python/flask-migrate/flask-migrate-4.1.0.ebuild
new file mode 100644
index 000000000000..8bb2dd8eb49e
--- /dev/null
+++ b/dev-python/flask-migrate/flask-migrate-4.1.0.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+inherit distutils-r1
+
+MY_P="Flask-Migrate-${PV}"
+DESCRIPTION="SQLAlchemy database migrations for Flask applications using Alembic"
+HOMEPAGE="
+ https://github.com/miguelgrinberg/Flask-Migrate/
+ https://pypi.org/project/Flask-Migrate/
+"
+SRC_URI="
+ https://github.com/miguelgrinberg/Flask-Migrate/archive/v${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+ >=dev-python/alembic-1.9.0[${PYTHON_USEDEP}]
+ >=dev-python/flask-0.9[${PYTHON_USEDEP}]
+ >=dev-python/flask-sqlalchemy-1.0[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests unittest
+
+python_test() {
+ local -x PATH=${T}/bin:${PATH}
+
+ mkdir -p "${T}"/bin || die
+ cat > "${T}"/bin/flask <<-EOF || die
+ #!/bin/sh
+ exec ${EPYTHON} -m flask "\${@}"
+ EOF
+ chmod +x "${T}"/bin/flask || die
+
+ eunittest
+}
diff --git a/dev-python/inline-snapshot/Manifest b/dev-python/inline-snapshot/Manifest
index 07adecd7bd7c..87c7ab22cffe 100644
--- a/dev-python/inline-snapshot/Manifest
+++ b/dev-python/inline-snapshot/Manifest
@@ -1,3 +1,2 @@
-DIST inline_snapshot-0.17.1.tar.gz 223166 BLAKE2B 119d14f075cd3ca27fea6f1e8a50f680a87cc62cd0568ba48462a63accf8708c88a2087b975fad56ed6ba0800d5a811af641baf09b28e875f6a5e7623add155b SHA512 a3e8a2be31aad87e6a45b74d2af5112911b94de7188b7a95d30513fc2328d573723485be13aca8d5cd71054ec315fa0a0bcfa75d7cce0e6ec80068b0fe25295c
-DIST inline_snapshot-0.18.1.tar.gz 225403 BLAKE2B abf8465856f655bb08c307a455bed011a4c9f9f1ecabe620a47deed1bcbfa028f29f883511da97fc035de43ca2015cd37b8a3589db911fcbb09149dd5e11810d SHA512 3497b8dc651057aebe96295ac10d5b6ca764841b1a0b2e4e0838bb303965d1b385c24d050771e51b1fd607ba5cb6f68f9e23d43e809f3a6008f84df9a168b6b3
DIST inline_snapshot-0.18.2.tar.gz 225777 BLAKE2B 45a08224c8ec94e052c6fe1393ad9b12c7227b9208ef591f323b15baf1622866fcfc7c91167fa8d352dae895e140348df4b3e492c52e441c2b8799e7f53f7ca5 SHA512 6b370ee0a717834f361b712ee71434362a44e92688df298572a801bbf384d69bd37816b2aa1e701f77d72149fff2ec5da9fceb24980af15de807973451e161c9
+DIST inline_snapshot-0.19.0.tar.gz 87554 BLAKE2B 9cb8d15b1d33844053b0ed5df8a4d47ea290bf3c67872671e147fb284e1fb2013bffda21fb38e96c01336b768a1315b81ba8a71d9df8a716ee4ffd92658160a8 SHA512 bb528a6657196938994e678042e379159d28635cc7679ab21a42e550efb35e1edc58fd58ec0b25560866062c6956b8d73f475a682c43255ff18ce31ed55cf9fd
diff --git a/dev-python/inline-snapshot/inline-snapshot-0.17.1.ebuild b/dev-python/inline-snapshot/inline-snapshot-0.17.1.ebuild
deleted file mode 100644
index ef96b8f09b24..000000000000
--- a/dev-python/inline-snapshot/inline-snapshot-0.17.1.ebuild
+++ /dev/null
@@ -1,62 +0,0 @@
-# Copyright 2024 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=hatchling
-PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
-
-inherit distutils-r1 pypi
-
-DESCRIPTION="Create and update inline snapshots in your Python tests"
-HOMEPAGE="
- https://15r10nk.github.io/inline-snapshot/
- https://github.com/15r10nk/inline-snapshot/
- https://pypi.org/project/inline-snapshot/
-"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
-
-RDEPEND="
- >=dev-python/asttokens-2.0.5[${PYTHON_USEDEP}]
- >=dev-python/black-23.3.0[${PYTHON_USEDEP}]
- >=dev-python/click-8.1.4[${PYTHON_USEDEP}]
- >=dev-python/executing-2.1.0[${PYTHON_USEDEP}]
- >=dev-python/rich-13.7.1[${PYTHON_USEDEP}]
- dev-python/typing-extensions[${PYTHON_USEDEP}]
- $(python_gen_cond_dep '
- >=dev-python/tomli-2.0.0[${PYTHON_USEDEP}]
- ' 3.10)
-"
-BDEPEND="
- test? (
- dev-python/attrs[${PYTHON_USEDEP}]
- >=dev-python/dirty-equals-0.7.0[${PYTHON_USEDEP}]
- >=dev-python/hypothesis-6.75.5[${PYTHON_USEDEP}]
- $(python_gen_cond_dep '
- dev-python/mypy[${PYTHON_USEDEP}]
- ' 'python*')
- dev-python/pydantic[${PYTHON_USEDEP}]
- >=dev-python/pytest-freezer-0.4.8[${PYTHON_USEDEP}]
- >=dev-python/pytest-mock-3.14.0[${PYTHON_USEDEP}]
- >=dev-python/pytest-subtests-0.11.0[${PYTHON_USEDEP}]
- )
-"
-
-EPYTEST_XDIST=1
-distutils_enable_tests pytest
-
-python_test() {
- local EPYTEST_DESELECT=(
- # requires pyright
- 'tests/test_typing.py::test_typing[pyright]'
- )
-
- local -x COLUMNS=80
- local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
- local -x PYTEST_PLUGINS=inline_snapshot.pytest_plugin,pytest_freezer,pytest_subtests.plugin,xdist.plugin
- local -x PYTHONPATH=${S}/src
- epytest -p pytest_mock
-}
diff --git a/dev-python/inline-snapshot/inline-snapshot-0.18.1.ebuild b/dev-python/inline-snapshot/inline-snapshot-0.19.0.ebuild
index 65e904911e1f..8c2701d1b68a 100644
--- a/dev-python/inline-snapshot/inline-snapshot-0.18.1.ebuild
+++ b/dev-python/inline-snapshot/inline-snapshot-0.19.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 2024 Gentoo Authors
+# Copyright 2024-2025 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -17,15 +17,12 @@ HOMEPAGE="
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
RDEPEND="
>=dev-python/asttokens-2.0.5[${PYTHON_USEDEP}]
- >=dev-python/black-23.3.0[${PYTHON_USEDEP}]
- >=dev-python/click-8.1.4[${PYTHON_USEDEP}]
>=dev-python/executing-2.1.0[${PYTHON_USEDEP}]
>=dev-python/rich-13.7.1[${PYTHON_USEDEP}]
- dev-python/typing-extensions[${PYTHON_USEDEP}]
$(python_gen_cond_dep '
>=dev-python/tomli-2.0.0[${PYTHON_USEDEP}]
' 3.10)
@@ -33,6 +30,8 @@ RDEPEND="
BDEPEND="
test? (
dev-python/attrs[${PYTHON_USEDEP}]
+ >=dev-python/black-23.3.0[${PYTHON_USEDEP}]
+ >=dev-python/click-8.1.4[${PYTHON_USEDEP}]
>=dev-python/dirty-equals-0.7.0[${PYTHON_USEDEP}]
>=dev-python/hypothesis-6.75.5[${PYTHON_USEDEP}]
$(python_gen_cond_dep '
@@ -52,6 +51,8 @@ python_test() {
local EPYTEST_DESELECT=(
# requires pyright
'tests/test_typing.py::test_typing[pyright]'
+ # TODO
+ tests/test_formating.py::test_format_command_fail
)
local -x COLUMNS=80
diff --git a/dev-python/libcst/Manifest b/dev-python/libcst/Manifest
index 5f4a2e1d2ed1..7ac01ca210d0 100644
--- a/dev-python/libcst/Manifest
+++ b/dev-python/libcst/Manifest
@@ -30,6 +30,7 @@ DIST glob-0.3.0.crate 18724 BLAKE2B 1f1dd380e7d668a0c2cff9134279ebda958b4bccdd4a
DIST half-1.8.2.crate 41874 BLAKE2B c3c5c01771f05b7af652abb8e5490dde7afd04de130537e67845fe7ed58904e7ad66c7286a4e7deca3641876a6d12c5b6e95883fee2809c8e685d2f79cf96610 SHA512 5eb128e41b8b7f9769a669834b2f8380b115395bf2a2a181732bf6c71234d978dbc4c527fddadaa7bd7fae9add77958b27616bfa1767fd123d3cfb887663292e
DIST hashbrown-0.14.5.crate 141498 BLAKE2B 7d7f31b6377c901de12f78f0004a347e3e3b948b1336a54b6abd8dd2210db0ac415efcdded421a00723f16563a7b833b5d1db3cad5c12cac916e273bf3e588b3 SHA512 215ea860bd3de80e2dd2d4647c9dd31c0ac895ea7c08b87256dc11d36407e412ffefaebc6cdbec024057dd4f24b3762b4fe427be307e15d1e68ccfde89a99742
DIST heck-0.4.1.crate 11567 BLAKE2B 520aeea740cfa30b0cca12f73594ffa655f32959673b1c9caaca1ea0162e455546ae3033881394c0ba0516bcd5c9a997da02162e1585522d665813b9096eabd9 SHA512 8c80e959d2f10a2893f9a71994720f90747742bb5b61fc0a539eed3ea5679b140c48fd7f7690d7122cd6af5f7f20a19d412e3569fe741c6d31f6b2ce1e0b80e8
+DIST heck-0.5.0.crate 11517 BLAKE2B 5365ec43b2239a76b33a174f1a4292ece4147f9d382a68c6c60db78fdc8bad0afb1d51a65bcb25e96675372faa4ea37c318265030b0546ba51942f7c929e1835 SHA512 f044fc9c3d22466629fd8f772ec0555350fd611c0cfadca51d99a3d2f10e155f77c1091916c8a95a6b9b499f366c2e99a5fbf45b010f988bfb9b2501bf9f6a76
DIST hermit-abi-0.3.2.crate 13783 BLAKE2B 43089507a5ca0731a9e9a54fdc8f4dd5f807244797eba5bdcc072c2c2b3761481df65b8cc65900769777d9d21f8345b502cb1915ec36747160e87f179469a661 SHA512 22901ec8976a7c96e93c9e07a2c5d3db49d7af60ce60c7ee6f61c3cbe93190d1f285e737c1c8b2236d540ab14e5d92e42828ec05f1b212332a862baf2b1b57f6
DIST indexmap-2.4.0.crate 83544 BLAKE2B f4b3e1b877c9355a491e33d10e3ef730f943b54bb14f33ed476120e2a8f0cd3550f6aeee1a56e1868881e1853b3d41283ab803faf5afbf32c86b36e08e7f2026 SHA512 9c7f2b495f0568ce56e2fa8d3355948783b490b23b46a83acade2864e41eb31a50cf372d818b2a1d3d24327282a9866e690348134a20ee481d748bdc581145ec
DIST indoc-2.0.4.crate 14311 BLAKE2B 8d604e20825ae64530014081c627abe4ecec6447e1e214408743aca79ed217531baad4bd7021137ae6628555d769a248f06acc556cc3254d2626074aab110a44 SHA512 ef1b8d19d89d848c1133f2865247e0ce23cbe5552454805910ed0478ac4acb11b11629aa4a5ce8756d0ed5cbc0644abedeac0246f433166c68f47cf58cf4487a
@@ -42,6 +43,7 @@ DIST js-sys-0.3.58.crate 78794 BLAKE2B d664fda1e19a7ebb621596cd4773e7ebe86b3749e
DIST lazy_static-1.4.0.crate 10443 BLAKE2B 25b2e61bbac48f0dcbc79c81d7bf01f2403d8269ecb6be3ea6147bd00f7a588df15a91f44dfc18ada19b21faa71de4637c7d493a8628cbecd0e547d74e616a23 SHA512 e124c0521ec7c950f3c4a066821918da7a9c6e711115d98009ae7c351928fdddead852e7596fea5937a9c30e4e4ce8eee7099b20248b5d6e3b2494b6a6d88cb8
DIST libc-0.2.149.crate 715592 BLAKE2B 21dd5d4f9351f3c75790077c7b025046db665f2d48d7a72cda7667bc60febf79d82708cf7d39a323a594397cd590bd3d2a2f85349b4473b90ea4da918382ed0a SHA512 0def64d400d473d6eed30e985522d36801ee6472b15f90e74dc4592e0a8ffbaf30b731be280de52b30255cf60aeca8efe817b67049227dc7000c807e007d7289
DIST libcst-1.5.1.tar.gz 773387 BLAKE2B c866d3483fb5037ae0bafc7463c377a1ba2bc55afe8182695de10c4344ed38b8c56d16241e8b19159a8cb93dcabf6cf8b6776d45e11367241f976cd9a9da74cf SHA512 587bc312de2e3dd76539f4e3963f5308815dcb3b4ed9e224ba808ec8510f5a10a6fa199b0560864fb73d0aeef837b39293e7a61b3d815568b2fe2a1157ee4aeb
+DIST libcst-1.6.0.tar.gz 776146 BLAKE2B a941471a1e6f786e7e93c12548e75d44ba4c15af61c3535607c9298ba30ba1a6d75d803abde1279627f69a6755db054a477bd5639505323769ee9c4dbb2e19aa SHA512 0599133eec32803f2f88278ee0fa0ecd5b270b6e3e01b0106c2c7dbb1786d4359c7dfef520e1d269ddd65d265969c5e640bb4bdf1a9ed40d3dc265263d57bc6f
DIST linux-raw-sys-0.4.10.crate 1407767 BLAKE2B 8bc633d99bc1ee1a6fdfa19501fd034a4475fa9ebe18a206e4254309d91aee7a91fc70faf9775efa5157a1b2fb7e5f827bde40a770b066643356113f2cf38b5d SHA512 107f61add087bff55869798d5c71bc6ac9ecb27a603d8f9071b856189de8b7b0a7f9243fa1433700f52a0c3020eff5604dbf6e0653109d0dd277b98ab45fae21
DIST lock_api-0.4.7.crate 25371 BLAKE2B 9ed08433ffa70af60193dcf307287991a3154f0ef16b485f32a6c83e64962661a6e08ef83a6b217d6cbf5bd964c0638d8ed86b290087677c1fb3218321c4bbf8 SHA512 b1a5227fd131edaa70e017f7ddb43af8b4efa58488007b898ca1dfc818a3a441b732b7adbf1270e72a68ee5d2a99a5d48f33b2bca8e2cf78694953d20d27636d
DIST log-0.4.17.crate 38028 BLAKE2B b46be3719fc0a53e50b1f342762e188587e9f1ceb692c72473ce2663edfb8253742d30024e68c1444780ab7fc0e2d5b0601b8ea7228dc3405a9342a57548e605 SHA512 2477d88db42b1d92c30708d88823212e236f613b3465e85eb425f83f8d16fadfaf0352f06c2999a1852102edd2f6ffb10ecb539d8a3b6c48f552a25622ccffa2
@@ -60,12 +62,18 @@ DIST peg-runtime-0.8.3.crate 4159 BLAKE2B 10183478eaec5d3057eb8d6a4e58728dad682d
DIST plotters-0.3.1.crate 8595577 BLAKE2B 7c500c43c2b2875d9dc17e4eab57cbd8a470c6064deadf4e78c429abe2f1e97511f64bc67782b4e03e7cc47c8ac54aadfa5f7cc8c27d3b4453d2ee8252896c99 SHA512 c7bcdf9da56c2d1c03053f61256d44d2384fac1a9a7e0db058090c13b359bce76a2a96bbcbfde04fdcde0a9dd3db8a1a22bc57508b0b6e4a374c8b35ec6c9707
DIST plotters-backend-0.3.2.crate 13524 BLAKE2B cfd42df0fcea4e5ee944a6b8c48e3b7fcecefd6d97f07e1c333067193c211da9eba29fb56e9fc8b861cfa2d1baa3c042fddb494bb66b9109656b26bde7901f7d SHA512 116bc6866094a2ec40a9ab9363378566ff37eeb4a4e3805562dd3e95f1d5e8664b54d3dc858a2c9974b125e308e46b77c294de2a655f836d342712c32f0242a3
DIST plotters-svg-0.3.1.crate 7596 BLAKE2B ac8dffc5dea833c0506c472567056be0804e5519828b68f7b3bec9ee63dd59f9aa828c10732a50e004214512df06c7eaf164eb9613cda75b2753270fa358c0d6 SHA512 4d3cd02534440dc26f5eaa3b4966081901626c61d9fabe0092fed87c48929cb9be070d9c34486fc7c7bef308337ff4890d30f9581a613549e507db60dd9d8876
+DIST portable-atomic-1.4.3.crate 126291 BLAKE2B 08fbfd391c9eb55c02b8345549a57fb5c3b8cfcd81e3867ca49cba94faa7b2d372e4f2996fbef4a52742d852b117d4b7cc488571df7272b93caf47a9a2680c46 SHA512 89f14902c1e55c37d7663bc9255378441a0951e5d8e21665a8102e06b766135cec6d982f9ed01b4167e872a7853102ad0e9347e9b163ea81d81b00ee2362e9a0
DIST proc-macro2-1.0.86.crate 48958 BLAKE2B 4b89e07f23af8328dbb34fe2b3f1b202f1e6a3885a6269740a23359b41bb4099ac2484565d3b2b0936261689ca525785ac620c766997234fd8d0f409e80e5ea3 SHA512 1cdb7e22a35ae231d880c9420784c9acf97bda2db258b3d34aae5061dc1858449defe19a49e12c6a4173906aa72a4115059ac2db0fc760205fd2ab8b5b414434
DIST pyo3-0.20.2.crate 434326 BLAKE2B 3114fd6f3fb8ae7d1b35c9d2ac5ba6a49c5ac911ee3a5b941c5063263ca7cce47fa4b4f7ec34cbfe3083f3d1303fd7f061639fba833a04fedb9d5098f5784028 SHA512 cc5151a116179157046ec92677e5a72318b4cdb13a7d7e3bb83778739b5758040e5020f667dd83554a66b758581a08f5de05eb38e7b339813cec85e0712e6355
+DIST pyo3-0.22.2.crate 538342 BLAKE2B faf347695117f9fe0ebe5cd7f6aa1b0dcfe718343875d6c06438046deccc1075f104d2a2413dcda41ae9827bc363aa147057b45968f6634f577a6a4510a4bb8e SHA512 e8bae09059f50ffe477dad44499cedeaf3a734665f0fd8e8bd4b44f48578d21e4bdb8d55ceea00c5a27da750761842ddf89cfcecdecb2e7a4a17ab192259be9c
DIST pyo3-build-config-0.20.2.crate 30029 BLAKE2B 846eb95d1417a658763417a2750dca1c55201105a3978d61b1db5e3962680ede188f8285dd7deec778ea9860d43e40513b88f5a54f0b1881b08416760bdbbedf SHA512 9dbc669ec69d38716c3909fa8f3b6c5be13c717b20bfd5dd11edab59b8eb35247d7996acd260fec88f92eb3e71248c86e9b40c1a700827889e2990bba20ecddf
+DIST pyo3-build-config-0.22.2.crate 31225 BLAKE2B c2e6a3d3d23b7f2f51bcbf1214ab20a298a1e62f85c9af3dab1e77b09f20b657b576feefffb18eb49d438f0ffab525b6bcd1086d500601c327ffd4fd24a719ee SHA512 644c82d30bb27051557efcc9789a81380a64e29bc62abf97de88f42c3791dac74228c7a7d09e0d46d14f07c0475f0bc03fac6ed1367b9a616153e8820b94cbc8
DIST pyo3-ffi-0.20.2.crate 64601 BLAKE2B cf1141ad34a13dcb46de0d1e15dda192ca41a7441bfc92a9295861876dcc690d1d5d6d39dafa51cd70c4627353efa91563eaefee8c39f655d12818003f9524da SHA512 ee6386b6fdb80689d104f9cd5229f02e1893d00a52be710bd36882c47305abbe24ef2f3cdef8200fddc0bb97e29001fa3a2fd9d3d2673ecd9a104a070420d01e
+DIST pyo3-ffi-0.22.2.crate 67749 BLAKE2B 0a4357d5f4fbcab9717d58b7a80b63a63bc329267d4725136c4eac7c0101095a50e5f840638dde79034e5df99c4f46664cfdc2ad437837643db5d475c5705cb3 SHA512 bf8b83b4790832d99de8c6a61a15a43fc189505dd843011933305f7f93c4f5f4849fb00cc2a6fa410b788645f8ed8c0df61799cf801966a925abb9756b1ab579
DIST pyo3-macros-0.20.2.crate 7925 BLAKE2B 00fc60becfa39bf452786d8a612247785f1737cc3e627700d0d144ab2efaadfb34ce8a8f46e932382a1ea99caebfe1946fbc517b5c26fadb0822ecaa8b2e9df0 SHA512 dd9ea9acda95dfc53689a4c26d8c2139f8a90a05ab06737037f19b8bccd5e52b0da5f297a29194b958f5f8b59cbb566b5f409b3f17a863eddf855ecb755d2719
+DIST pyo3-macros-0.22.2.crate 8136 BLAKE2B 9dc97d2f60581db1b8ddb562dac917069525f297fe2cbb9aff3ed34d5a08ea43c112c9c7a450539da3536d753778b5ca506dd1b18e1d6b8a3649fc098e7af439 SHA512 f4f4f6af8dc3aa4bcc1698661990ab2112391ef9502e9f71d86e35bd10dc4e1be309102ebb1b7b32751817a6033168dc0486fdb16b35c626101e69f0de807a4a
DIST pyo3-macros-backend-0.20.2.crate 49710 BLAKE2B 711b18984e61219555df4b62667f7f376951c6cb47e6dd947fc24618b923c4f4f790eb1aba1901abea4761632cdb58cfa81cce91f33586da3022e6c7d126bc9f SHA512 c6ca2a2cdae8630fba3f8e4122e81b60ef2ef0905ad2a3fbcfae134456d5ca9e73690b61590e391f3b9d82c24725809f18544c5dfa0b36ffdb1914844fe65d3a
+DIST pyo3-macros-backend-0.22.2.crate 65620 BLAKE2B 37fba9ff384373418d3a7341acafb8e33308a64e30026f828693a37c32ab4a74d058f2db84d00467a20f9f267c96fe54c0f154d1ebbae92490e8dfc0d29c042f SHA512 0517080c0d5d4ed8136521fd37aa3a192c2eb8cab58545d8543ee4df9cd0dcea19fe0678d5ab90f05fe3eb0f4a86fc2f07b76f2e12ac1fcf7e7c195c2ffa4fd8
DIST quote-1.0.37.crate 28558 BLAKE2B a7d007a69e619f853af94333e1066bb767013312bd99f147b1b153611242bcfa9c76768b1ba47278589db309a9acd61a772c8ec3b567e48439bb9d831f9326d4 SHA512 c4ed21428c1f89cf22b85d80720a7869831a9c129d694617b0ce8c258278114ab98846f3f653abf736d1c86bc9224bbd695e9a7b06aa3adf292d02e1ef14cc05
DIST rayon-1.10.0.crate 180155 BLAKE2B 16cb706d2317d8a349394c521ec5ab550290c5ab2a0a0dc24f0282fa7eb01fd1351a7dc8b5af3a55ea321e6526fbe037fec3cf8b32463166a082a6e417a51fca SHA512 3f628c58f3af3cbd1f245ca1be9c8393eff41112891fc4e676a2b9e26b6cba7cb80d7b6ce46e75bbb65e42fc00c5c0bb6b6a4b59092882f03febeb31f9cca5d3
DIST rayon-core-1.12.1.crate 70701 BLAKE2B a32eb9ae9a71b4f0881f7bfd5375aa7db5681f20f7e0b25e6ecb3161f2aad36b93026c1691d02bf298a48ea07ec9475a237fba457ed0b0b8624aebab2b4988df SHA512 33d0297b682f131c50e1eabc3be583211a5abe790301cbca91bf510e43d6714b7564ca39fab7c4bf6f02aa0df6bb394f386a61320f21ddb6bd7aea1372b5e99e
@@ -84,6 +92,7 @@ DIST serde_spanned-0.6.7.crate 9164 BLAKE2B 559a62c0ac00a1559947224bd268842f35c5
DIST smallvec-1.8.1.crate 28295 BLAKE2B c776b37e8cda81fe1df6ace794739b7e0cb1e3c5d5c1ffa57656ef0c0d0aec354c2c93ae23ff895996ab50a26ced28b913fab89ced27cb2f1d15568ab45957c7 SHA512 e93cbce48b81fe1a26d6016ad15b27ede8ae7162933e8923d3eb9c93f61910fee177c1aff16a1dd60c9917e41f8b7e474601a60c6d6d6867ef33c6d2e5fdf688
DIST syn-1.0.109.crate 237611 BLAKE2B e827445d00c79a8eeb91eacde472f1987addd6ce9e1df95d7abf6446a77ff4173a8006845f3ae71c1da47193cfb72e0ead9a6d6bad2573be12c17e90735d9ad9 SHA512 12816b9e8cf984024b2fbce9f0ae14cf94d4d2c06f08cc54fb793ce78770bb4cc1288eb7df0ba5e8e937756e1e8e295c53fe07a0c5dde1ea8ddba03b6203b37d
DIST syn-2.0.75.crate 268805 BLAKE2B 936688757ef1b39df0ac34fb2b98e14d15ea5d500b7db7d0c6358c495a385686287f5220b1427c0f086c56fab9caa0eb1f4b1c8cc6e6079f5b9cd24332ce7626 SHA512 f200b5fc6656912471a976e81f460713e9194a962441eb984e26320fc9f197a1d09c6a0a6bba4ab9bd153720ff5b48758f4bac617735ca455c37cc3041f84e38
+DIST target-lexicon-0.12.15.crate 26384 BLAKE2B d1ba50aa9d50647c6f778df86b35db1a4dee56fad918e6ef216688d9ac716dc5e8b40bff15aa89a99e4874e74d7e2731ad7fd9ea7094652def8abf57b74f9811 SHA512 32cf3e2da1c28003e1b6347abc8ae4d8182bf5b719ef84772271fc871dbaf96ec98c03b555a748cb8ab76584e67e17532757193d1d84b057cc90bed525727fb3
DIST target-lexicon-0.12.4.crate 23020 BLAKE2B ad9780b9478b00b4fdcb07bd016d83216695413090ac29cca06388c3790e2832c978b1c7e69f6d34bb6fc9adc39c0a0b6b6636e50a9715a9f5f16445dba22d19 SHA512 194fe1946ad8d9fdb383bf8a65374e24d216382c1ed5379dabc98d58842512624c32838b8d6d0658d866f6559d37f1343a30c5809e8914dd85790399252b3e06
DIST termcolor-1.1.3.crate 17242 BLAKE2B 5aef69c0004081bd3cc4d531d13d63627cc02313868c0faab62358d13abfa7b4ba82f142c2801d25a6ae46ecbc8b7bdbeaa21c9105ea3b8950ab6a38cdb88513 SHA512 5838fcbfd70f300cb4b62aab50565db52074c56b152ccc8ac1173e4676c0d5a636271bf5a645a77da6e1d4edbf0091af2cd4dd6d73b85c3d198c760898c06f3a
DIST thiserror-1.0.63.crate 21537 BLAKE2B eacab5745d948416bde165d768f55c10c132572052db405ae3dd3e6e3b5ce41f36d574192ae68fecf6002ae5b14fd0aa135fe15e1614f3b51a294d5edc67c9ac SHA512 d5c2360075947cc0fff3253b5532f03f3102d6c9ef52dfeb3b400771116937e466a62ce67ccdf91532bf096f4882322522349a727588fd87b932326c8e758753
diff --git a/dev-python/libcst/libcst-1.6.0.ebuild b/dev-python/libcst/libcst-1.6.0.ebuild
new file mode 100644
index 000000000000..97938a0c7533
--- /dev/null
+++ b/dev-python/libcst/libcst-1.6.0.ebuild
@@ -0,0 +1,198 @@
+# Copyright 2024-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+
+CRATES="
+ aho-corasick@1.0.4
+ anes@0.1.6
+ annotate-snippets@0.6.1
+ anstyle@1.0.2
+ autocfg@1.1.0
+ bitflags@2.4.0
+ bumpalo@3.12.0
+ cast@0.3.0
+ cc@1.0.83
+ cfg-if@1.0.0
+ chic@1.2.2
+ ciborium-io@0.2.0
+ ciborium-ll@0.2.0
+ ciborium@0.2.0
+ clap@4.4.0
+ clap_builder@4.4.0
+ clap_lex@0.5.1
+ criterion-plot@0.5.0
+ criterion@0.5.1
+ crossbeam-deque@0.8.1
+ crossbeam-epoch@0.9.9
+ crossbeam-utils@0.8.10
+ difference@2.0.0
+ either@1.6.1
+ equivalent@1.0.1
+ errno-dragonfly@0.1.2
+ errno@0.3.2
+ glob@0.3.0
+ half@1.8.2
+ hashbrown@0.14.5
+ heck@0.5.0
+ hermit-abi@0.3.2
+ indexmap@2.4.0
+ indoc@2.0.4
+ is-terminal@0.4.9
+ itertools@0.10.5
+ itertools@0.13.0
+ itoa@1.0.2
+ js-sys@0.3.58
+ lazy_static@1.4.0
+ libc@0.2.149
+ linux-raw-sys@0.4.10
+ log@0.4.17
+ memchr@2.7.4
+ memoffset@0.6.5
+ memoffset@0.9.0
+ num-traits@0.2.15
+ once_cell@1.16.0
+ oorandom@11.1.3
+ paste@1.0.15
+ peg-macros@0.8.4
+ peg-runtime@0.8.3
+ peg@0.8.4
+ plotters-backend@0.3.2
+ plotters-svg@0.3.1
+ plotters@0.3.1
+ portable-atomic@1.4.3
+ proc-macro2@1.0.86
+ pyo3-build-config@0.22.2
+ pyo3-ffi@0.22.2
+ pyo3-macros-backend@0.22.2
+ pyo3-macros@0.22.2
+ pyo3@0.22.2
+ quote@1.0.37
+ rayon-core@1.12.1
+ rayon@1.10.0
+ regex-automata@0.4.7
+ regex-syntax@0.8.4
+ regex@1.10.6
+ rustix@0.38.19
+ ryu@1.0.10
+ same-file@1.0.6
+ scopeguard@1.1.0
+ serde@1.0.208
+ serde_derive@1.0.208
+ serde_json@1.0.125
+ serde_spanned@0.6.7
+ syn@1.0.109
+ syn@2.0.75
+ target-lexicon@0.12.15
+ termcolor@1.1.3
+ thiserror-impl@1.0.63
+ thiserror@1.0.63
+ tinytemplate@1.2.1
+ toml@0.8.19
+ toml_datetime@0.6.8
+ toml_edit@0.22.20
+ trybuild@1.0.99
+ unicode-ident@1.0.1
+ unindent@0.2.3
+ walkdir@2.3.2
+ wasm-bindgen-backend@0.2.81
+ wasm-bindgen-macro-support@0.2.81
+ wasm-bindgen-macro@0.2.81
+ wasm-bindgen-shared@0.2.81
+ wasm-bindgen@0.2.81
+ web-sys@0.3.58
+ winapi-i686-pc-windows-gnu@0.4.0
+ winapi-util@0.1.5
+ winapi-x86_64-pc-windows-gnu@0.4.0
+ winapi@0.3.9
+ windows-sys@0.48.0
+ windows-targets@0.48.5
+ windows_aarch64_gnullvm@0.48.5
+ windows_aarch64_msvc@0.48.5
+ windows_i686_gnu@0.48.5
+ windows_i686_msvc@0.48.5
+ windows_x86_64_gnu@0.48.5
+ windows_x86_64_gnullvm@0.48.5
+ windows_x86_64_msvc@0.48.5
+ winnow@0.6.18
+"
+
+inherit cargo distutils-r1 pypi
+
+DESCRIPTION="A concrete syntax tree with AST-like properties for Python"
+HOMEPAGE="
+ https://github.com/Instagram/LibCST/
+ https://pypi.org/project/libcst/
+"
+SRC_URI+="
+ ${CARGO_CRATE_URIS}
+"
+
+LICENSE="MIT Apache-2.0 PSF-2"
+# Dependent crate licenses
+LICENSE+=" Apache-2.0 Apache-2.0-with-LLVM-exceptions MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~riscv"
+
+RDEPEND="
+ >=dev-python/pyyaml-5.2[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/setuptools-rust[${PYTHON_USEDEP}]
+ dev-python/setuptools-scm[${PYTHON_USEDEP}]
+ test? (
+ dev-python/black[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+QA_FLAGS_IGNORED="usr/lib/py.*/site-packages/libcst/native.*"
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # TODO
+ libcst/codemod/tests/test_codemod_cli.py::TestCodemodCLI::test_codemod_formatter_error_input
+ )
+ local EPYTEST_IGNORE=(
+ # fuzzing, require hypothesmith
+ libcst/tests/test_fuzz.py
+ # require pyre-check
+ libcst/metadata/tests/test_type_inference_provider.py
+ # requires `python -m libcst.codegen.generate` which has extra
+ # deps and needs patching to work in our venv
+ # TODO: figure out if we don't need that for revdeps anyway
+ libcst/codegen/tests/test_codegen_clean.py
+ )
+
+ case ${EPYTHON} in
+ pypy3)
+ EPYTEST_DESELECT+=(
+ # https://github.com/Instagram/LibCST/issues/1278
+ libcst/codemod/commands/tests/test_rename_typing_generic_aliases.py::TestRenameCommand::test_rename_typing_generic_alias
+ )
+ ;;
+ esac
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ cd "${BUILD_DIR}/install$(python_get_sitedir)" || die
+ # fixtures
+ ln -s "${S}/native" . || die
+
+ nonfatal epytest
+ local ret=${?}
+
+ rm native || die
+
+ [[ ${ret} -ne 0 ]] && die "Tests failed on ${EPYTHON}"
+}
+
+python_test_all() {
+ cd native || die
+ cargo_src_test
+}
diff --git a/dev-python/mysqlclient/Manifest b/dev-python/mysqlclient/Manifest
index d37be360b1a3..ab6a05970b33 100644
--- a/dev-python/mysqlclient/Manifest
+++ b/dev-python/mysqlclient/Manifest
@@ -1 +1,2 @@
DIST mysqlclient-2.2.6.tar.gz 91055 BLAKE2B e515e693100135404bf00a41b7fe0364c8276ee1be847b22ef014bb01ef065a0bbb12cb2becbdb27a1b2a9528d43c668ba36ec25f8b43adffcc5762ed641a011 SHA512 cb5f9e8e0c8bfc8d1360a3ca03d6961b4e083ce25727d0340727e3d70816d37147ebce8507eb1a2c42e093b63ba375f9806958834c0703abe7c27908c7a094d1
+DIST mysqlclient-2.2.7.tar.gz 91383 BLAKE2B a09735acfb00abb5dd8dc46265aa3daa756217763593143cc3ea31cfbb01e08b2e51f00845e8806a6a4d1cb9c04c40c2228e41cfad3a3b4f45a82f6dcb752950 SHA512 085141575d4b1ce87a1fa1d69c235a6f0ad3b57c3aebac83739dddbe86a2cca8321cfa99332efafd8ac76f1d0dd3bcf03232756a1c26da02616a8adf9db57e29
diff --git a/dev-python/mysqlclient/mysqlclient-2.2.7.ebuild b/dev-python/mysqlclient/mysqlclient-2.2.7.ebuild
new file mode 100644
index 000000000000..0e623a503f3d
--- /dev/null
+++ b/dev-python/mysqlclient/mysqlclient-2.2.7.ebuild
@@ -0,0 +1,93 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Python interface to MySQL"
+HOMEPAGE="
+ https://pypi.org/project/mysqlclient/
+ https://github.com/PyMySQL/mysqlclient/
+"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+DEPEND="
+ dev-db/mysql-connector-c:0=
+"
+RDEPEND="
+ ${DEPEND}
+"
+BDEPEND="
+ test? (
+ dev-db/mariadb[server]
+ )
+"
+
+distutils_enable_sphinx doc \
+ dev-python/sphinx-rtd-theme
+distutils_enable_tests pytest
+
+src_test() {
+ rm -r src || die
+
+ local datadir="${T}/mysql" \
+ install_log="${T}/mysqld_install.log" \
+ pidfile="${T}/mysqld.pid" \
+ socket="${T}/mysqld.sock" \
+ log="${T}/mysqld.log"
+ einfo "Creating test MySQL instance ..."
+ if ! mysql_install_db \
+ --no-defaults \
+ --auth-root-authentication-method=normal \
+ --basedir="${EPREFIX}/usr" \
+ --datadir="${datadir}" >& "${install_log}"
+ then
+ cat "${install_log}"
+ die "Failed to create database"
+ fi
+
+ einfo "Starting test MySQL instance ..."
+ mysqld \
+ --no-defaults \
+ --character-set-server=utf8 \
+ --pid-file="${pidfile}" \
+ --socket="${socket}" \
+ --skip-networking \
+ --datadir="${datadir}" >& "${log}" &
+
+ local i timeout=10
+ einfo "Waiting for MySQL to start for up to ${timeout} seconds ..."
+ for i in seq 1 ${timeout}; do
+ [[ -S "${socket}" ]] && break
+ sleep 1
+ done
+ if [[ ! -S "${socket}" ]]; then
+ cat "${log}"
+ die "MySQL failed to start in ${timeout} seconds"
+ fi
+
+ cat > "${T}/mysql.cnf" <<- EOF
+ [MySQLdb-tests]
+ socket = ${socket}
+ user = root
+ database = test
+ EOF
+
+ distutils-r1_src_test
+
+ einfo "Stopping test MySQL instance ..."
+ pkill -F "${pidfile}" &>/dev/null
+}
+
+python_test() {
+ local -x TESTDB="${T}/mysql.cnf"
+ epytest
+}
diff --git a/dev-python/openapi-schema-validator/Manifest b/dev-python/openapi-schema-validator/Manifest
index 371a9906cd90..ac4b92c23fee 100644
--- a/dev-python/openapi-schema-validator/Manifest
+++ b/dev-python/openapi-schema-validator/Manifest
@@ -1 +1,2 @@
DIST openapi_schema_validator-0.6.2.tar.gz 11860 BLAKE2B c9f540998e3e69f987900caa8b12e5bab258c9046babd0705e168d57817666302e000b7b69a71ea74f37cc5bd363a90a45ac29a31e32b91dcc6f48adccb21489 SHA512 709f7a7c00bf050fa2c48a05bcd4e83ad309029f62df10ba61424cb46413cb9218bf2930f24a4db09f7648e51135f346855a4d58ce836b315a82a9986b655932
+DIST openapi_schema_validator-0.6.3.tar.gz 11550 BLAKE2B 5080b089301a651514b1c5689f28d94893bfcae66ee9624f17bf59a017d9246b23855ae66fc82e0d74a42810978dfeb4b84029c9dbb7d6724885e765b3d9162c SHA512 f335fc4dd1530cbcdd63ece998a42b27497e31e7191fc8e65437ae1810a7bc12e313d8eac982368d33a643502d13e1f69f6b00f710b4e90c50961bdfe7150ff9
diff --git a/dev-python/openapi-schema-validator/openapi-schema-validator-0.6.3.ebuild b/dev-python/openapi-schema-validator/openapi-schema-validator-0.6.3.ebuild
new file mode 100644
index 000000000000..506f255178bb
--- /dev/null
+++ b/dev-python/openapi-schema-validator/openapi-schema-validator-0.6.3.ebuild
@@ -0,0 +1,34 @@
+# Copyright 2022-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="OpenAPI schema validation for Python"
+HOMEPAGE="
+ https://github.com/python-openapi/openapi-schema-validator/
+ https://pypi.org/project/openapi-schema-validator/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc64 ~riscv ~x86"
+
+RDEPEND="
+ <dev-python/jsonschema-5[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-4.19.1[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-specifications-2023.5.2[${PYTHON_USEDEP}]
+ dev-python/rfc3339-validator[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ distutils-r1_src_prepare
+
+ sed -i -e '/--cov/d' pyproject.toml || die
+}
diff --git a/dev-python/pathable/Manifest b/dev-python/pathable/Manifest
index 28d17c8e2e1b..a4d1afd46d33 100644
--- a/dev-python/pathable/Manifest
+++ b/dev-python/pathable/Manifest
@@ -1 +1,2 @@
DIST pathable-0.4.3.gh.tar.gz 21412 BLAKE2B 6f62cd879723ff14c2fd7100c9ce7135d200fe04afb473180518ed2e80c5bc5836f82334b1dbbbc8fa80b428fa33db1a8ffafcd8b756cc00a24a809094f61dd2 SHA512 5481ba1e6f4ab4318b9a7bd1d1ddd152f715b001bc7edd1b1221501da1a95578ee6601ce4ce0bdb98773c7954212687d249418e69acef1b350fc5d6cb188dbfc
+DIST pathable-0.4.4.gh.tar.gz 21381 BLAKE2B f0ba3579204a636948f96259bc67b3a6e923af1de7b6fcf4021152c9482f82fc362d5d50cb1bcd6b5393c49d2914c6d36e941647754ef7bc2554722ad02f38ad SHA512 4b1ec32f7e952749ec0384036e7becf5343e92cbec9160627c2a678e314d7387bd4ad56a3953171038a38102c715469e973218cb3995df414bd9dd750986e046
diff --git a/dev-python/pathable/pathable-0.4.4.ebuild b/dev-python/pathable/pathable-0.4.4.ebuild
new file mode 100644
index 000000000000..f54b1e8b4310
--- /dev/null
+++ b/dev-python/pathable/pathable-0.4.4.ebuild
@@ -0,0 +1,28 @@
+# Copyright 2022-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+inherit distutils-r1
+
+DESCRIPTION="Object-oriented paths"
+HOMEPAGE="
+ https://pypi.org/project/pathable/
+ https://github.com/p1c2u/pathable
+"
+SRC_URI="
+ https://github.com/p1c2u/pathable/archive/${PV}.tar.gz -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc64 ~riscv ~x86"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ sed -e '/--cov/d' -i pyproject.toml || die
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/pytest-regressions/Manifest b/dev-python/pytest-regressions/Manifest
index 1184b602a6e0..f9b834b83b95 100644
--- a/dev-python/pytest-regressions/Manifest
+++ b/dev-python/pytest-regressions/Manifest
@@ -1 +1,2 @@
DIST pytest_regressions-2.6.0.tar.gz 116150 BLAKE2B c6a5cfec055ef5a2ed0e615aff5211083633a542d08f48af6fdfd453c9a9c2992bb47e0d8a634ded1d1a753ae362dcf3a84db26f07a3d169635b286ea6af8760 SHA512 57248a851179c0f0cb840618cc529289b80d94a537b9e49f4a322405c92f8fd0baadb67472a577fe5fad2d3c22e44339663e86b1005cc831bb26e4b380d51fb1
+DIST pytest_regressions-2.7.0.tar.gz 116270 BLAKE2B 90d589081db352e2acbb58b8b56445ba86c92e4eec1ac588b573b27e979a9d5cbd942b8ba8cf978c9c372364176517e76376c3b33775297df5300fe2ce225bc9 SHA512 b4702850470d03e3f1759b7abda003ff930cfffa9e70c95097778fd4efa634ee62e955f2abbec5e0eaac840c0918b7257b747509c8bf3819af0234a15f80fecd
diff --git a/dev-python/pytest-regressions/pytest-regressions-2.7.0.ebuild b/dev-python/pytest-regressions/pytest-regressions-2.7.0.ebuild
new file mode 100644
index 000000000000..b7d676b239cc
--- /dev/null
+++ b/dev-python/pytest-regressions/pytest-regressions-2.7.0.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Easy to use fixtures to write regression tests"
+HOMEPAGE="
+ https://github.com/ESSS/pytest-regressions/
+ https://pypi.org/project/pytest-regressions/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ dev-python/pytest[${PYTHON_USEDEP}]
+ dev-python/pytest-datadir[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+distutils_enable_sphinx doc dev-python/sphinx-rtd-theme
+
+python_test() {
+ local EPYTEST_DESELECT=()
+ local EPYTEST_IGNORE=()
+ if ! has_version "dev-python/matplotlib[${PYTHON_USEDEP}]"; then
+ EPYTEST_DESELECT+=(
+ tests/test_image_regression.py::test_image_regression
+ )
+ fi
+ if ! has_version "dev-python/numpy[${PYTHON_USEDEP}]"; then
+ EPYTEST_IGNORE+=(
+ tests/test_ndarrays_regression.py
+ )
+ fi
+ if ! has_version "dev-python/pandas[${PYTHON_USEDEP}]"; then
+ EPYTEST_DESELECT+=(
+ tests/test_filenames.py::test_foo
+ tests/test_filenames.py::TestClass::test_foo
+ tests/test_filenames.py::TestClassWithIgnoredName::test_foo
+ )
+ EPYTEST_IGNORE+=(
+ tests/test_dataframe_regression.py
+ tests/test_num_regression.py
+ )
+ fi
+ if ! has_version "dev-python/pillow[${PYTHON_USEDEP}]"; then
+ EPYTEST_DESELECT+=(
+ tests/test_image_regression.py
+ )
+ fi
+
+ epytest
+}
diff --git a/dev-python/python-ironicclient/Manifest b/dev-python/python-ironicclient/Manifest
index 9c58728374d3..63fab3b3a172 100644
--- a/dev-python/python-ironicclient/Manifest
+++ b/dev-python/python-ironicclient/Manifest
@@ -1 +1,2 @@
+DIST python-ironicclient-5.10.0.tar.gz 222766 BLAKE2B d1b7d828dbab733d5f414976b72a1ce3d223f5e6889624786e17a0693b07aaea3a7b2c0d723cf978b7f0c385ba4890cb79af5924fcea1506932ab07281181eaa SHA512 937da841ce8466a104eae0468f47793e69fd708aab1dfc4d903da56e387ae01c08ddeaf6affb9993a337e66d4410df6dc9e943c04cac7cba1db712fbc438a9a8
DIST python-ironicclient-5.9.0.tar.gz 220842 BLAKE2B 737f9fa46ec96d1b7b5332284c7f3b8989f3b48c032bc5c6fb26d195366c0834cc737b60051da118544b54bb620fc316cf7940357f1e710179f3b1dc1778991f SHA512 ead6ad9ed3c8e5575bb7b7297dc74d804cd16732a706b4fbbfa5000509b7939a06e74b70ac0e4cb91d0d6e845cb49030e178fde1151cfadf945049e2108715e0
diff --git a/dev-python/python-ironicclient/python-ironicclient-5.10.0.ebuild b/dev-python/python-ironicclient/python-ironicclient-5.10.0.ebuild
new file mode 100644
index 000000000000..59dad531a38a
--- /dev/null
+++ b/dev-python/python-ironicclient/python-ironicclient-5.10.0.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=pbr
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Python bindings for the Ironic API"
+HOMEPAGE="
+ https://opendev.org/openstack/python-ironicclient/
+ https://github.com/openstack/python-ironicclient/
+ https://pypi.org/project/python-ironicclient/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+ >=dev-python/pbr-6.0.0[${PYTHON_USEDEP}]
+ >=dev-python/cliff-2.8.0[${PYTHON_USEDEP}]
+ >=dev-python/dogpile-cache-0.8.0[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-3.2.0[${PYTHON_USEDEP}]
+ >=dev-python/keystoneauth1-3.11.0[${PYTHON_USEDEP}]
+ >=dev-python/openstacksdk-0.18.0[${PYTHON_USEDEP}]
+ >=dev-python/osc-lib-2.0.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-utils-3.33.0[${PYTHON_USEDEP}]
+ >=dev-python/platformdirs-3[${PYTHON_USEDEP}]
+ >=dev-python/pyyaml-3.13.0[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.14.2[${PYTHON_USEDEP}]
+ >=dev-python/stevedore-1.20.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ >=dev-python/fixtures-3.0.0[${PYTHON_USEDEP}]
+ >=dev-python/requests-mock-1.2.0[${PYTHON_USEDEP}]
+ >=dev-python/oslotest-3.2.0[${PYTHON_USEDEP}]
+ >=dev-python/testtools-2.2.0[${PYTHON_USEDEP}]
+ >=dev-python/tempest-17.1.0[${PYTHON_USEDEP}]
+ >=dev-python/ddt-1.0.1[${PYTHON_USEDEP}]
+ >=dev-python/python-openstackclient-3.12.0[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests unittest
diff --git a/dev-python/rdflib/Manifest b/dev-python/rdflib/Manifest
index f8a4af856b87..55003184a6d7 100644
--- a/dev-python/rdflib/Manifest
+++ b/dev-python/rdflib/Manifest
@@ -1 +1,2 @@
DIST rdflib-7.1.1.tar.gz 4864216 BLAKE2B b583e6f9afab95fc0818c4f11740ab8cab540b774a3db15fc8be7b836149f40af6eb445a61b61e020c55f9b561c17f5019275070272449bd4ea25827e4925e39 SHA512 6eafaebfb604446399b214496aabc91fe0c689e9b35d5637de35a5d9784a1acb9d727c7ad5eebe8700d0be2b1e54b3d51cd3fe723a2a6cbd38f0e259d42bc2c5
+DIST rdflib-7.1.2.gh.tar.gz 5030802 BLAKE2B 7a8444d39a456a8e1ca0f3956f3f3a7e43d7fd8a166b1738c5add32a21f6625d71ce5a97a65e5ff3550fbb6ac4eaa8de353e6f333fe7aad947be8e849298dee0 SHA512 a88efdbf461392033e14f72bfe755e449d86927b9d48668cded68e0ad2a5d04de1255eccf8086993cb8c9a3442eb5549dc73f66cfb2c97ff35fcba021c970ec7
diff --git a/dev-python/rdflib/rdflib-7.1.2.ebuild b/dev-python/rdflib/rdflib-7.1.2.ebuild
new file mode 100644
index 000000000000..c0dc164e4a14
--- /dev/null
+++ b/dev-python/rdflib/rdflib-7.1.2.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+PYTHON_REQ_USE="sqlite?,threads(+)"
+
+inherit distutils-r1
+
+DESCRIPTION="RDF library containing a triple store and parser/serializer"
+HOMEPAGE="
+ https://github.com/RDFLib/rdflib/
+ https://pypi.org/project/rdflib/
+"
+# tests removed in 7.1.2
+SRC_URI="
+ https://github.com/RDFLib/rdflib/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86"
+IUSE="examples sqlite"
+
+RDEPEND="
+ $(python_gen_cond_dep '
+ <dev-python/isodate-1[${PYTHON_USEDEP}]
+ >=dev-python/isodate-0.7.2[${PYTHON_USEDEP}]
+ ' 3.10)
+ dev-python/html5lib[${PYTHON_USEDEP}]
+ <dev-python/pyparsing-4[${PYTHON_USEDEP}]
+ >=dev-python/pyparsing-3.2.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/requests[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ distutils-r1_python_prepare_all
+
+ # doctests require internet
+ sed -i -e '/doctest-modules/d' pyproject.toml || die
+
+ # we disable pytest-cov
+ sed -i -e 's@, no_cover: None@@' test/test_misc/test_plugins.py || die
+
+ # allow regular html5lib, html5rdf is a fork with minimal changes:
+ # removing six dep (which is kinda good) and bundling webencodings
+ # (which is horrible)
+ find -name '*.py' -exec sed -i -e 's:html5rdf:html5lib:g' {} + || die
+}
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest -m "not webtest"
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+
+ if use examples; then
+ dodoc -r examples
+ docompress -x /usr/share/doc/${PF}/examples
+ fi
+}
diff --git a/dev-python/responses/Manifest b/dev-python/responses/Manifest
index caee0becbef5..fa6b85386c7c 100644
--- a/dev-python/responses/Manifest
+++ b/dev-python/responses/Manifest
@@ -1 +1,2 @@
DIST responses-0.25.3.tar.gz 77798 BLAKE2B c85ccca93bf24e392e33bffc697d657e1bdb1d733c36ba035dffb0e1185ad579e35b44c9342d257c3eec735ea789961ea37e739884511b0c5ef9ef88f344dd77 SHA512 f5691cb603174a06a8efebde3e64091a8b21005adc841dcfa83f2bb9aea0c0b8bd8a3d490cc579d77fd4a1106bbdd2f140da1d3c04cbcfd42a6d49c900618f47
+DIST responses-0.25.5.tar.gz 79099 BLAKE2B f945ac9ce60a46a598e675daab0cdffcf72edce0aa43e90082a2054f2978a1bafdf18cd9c5b6b7b3b7e2609eacb78ca0fba0e2152fd8101f1d6086c684b3a101 SHA512 327d2c7a6bafd9054e0450add98023e16a8f58a8c7a1c44b0493804e125813912a4f6ac613f6beb7e81983a0e9820609edfec2b62829d4cf65c86f7e95068a12
diff --git a/dev-python/responses/responses-0.25.5.ebuild b/dev-python/responses/responses-0.25.5.ebuild
new file mode 100644
index 000000000000..2771ec6bf2e7
--- /dev/null
+++ b/dev-python/responses/responses-0.25.5.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Utility for mocking out the Python Requests library"
+HOMEPAGE="
+ https://pypi.org/project/responses/
+ https://github.com/getsentry/responses/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+# tomli backend is optional now, with pyyaml being the new default.
+# However, keeping it unconditional here for backwards compatibility.
+RDEPEND="
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ <dev-python/requests-3[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.30.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/tomli[${PYTHON_USEDEP}]
+ ' 3.10)
+ dev-python/tomli-w[${PYTHON_USEDEP}]
+ <dev-python/urllib3-3[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.10[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+ test? (
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ dev-python/pytest-httpserver[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest -o asyncio_mode=auto -p asyncio -p pytest_httpserver
+}
diff --git a/dev-python/scikit-learn/Manifest b/dev-python/scikit-learn/Manifest
index 722d4adfb74f..5a7b56d1d2db 100644
--- a/dev-python/scikit-learn/Manifest
+++ b/dev-python/scikit-learn/Manifest
@@ -1 +1,2 @@
DIST scikit-learn-1.6.0.gh.tar.gz 7058791 BLAKE2B 57a81223d4cd2ac60cf00829f0e9b3fc404341428ec5ebbdf187f6c69213d90bf541ee6bf69a7dbe6e68225d34cf393302b098cc62e44068515b22d9e6462549 SHA512 7301503d581f908d7d70c708c44d5ec39567628c9f05a4135d69864a6bff6252fe1af6aac9c87c4c829c7e98008bab6fe964bcab6a3bb617996dc8368bb4fa60
+DIST scikit-learn-1.6.1.gh.tar.gz 7046495 BLAKE2B 83292549cc12e44033451345fe6deac17fa4f3d013f9755839d4d7f1c7de9690c089a754493d0d3879ef44ed8523400d617fa4d135ce8500dab608552777cdf6 SHA512 ad91d7bd67884851334fed9b0f3b6f3bfacb6b1521b89acbe22e9428a88009579373118bbd3a55358ea60c997e98609062fc4eac8b1def1d0ad18026c0491074
diff --git a/dev-python/scikit-learn/scikit-learn-1.6.1.ebuild b/dev-python/scikit-learn/scikit-learn-1.6.1.ebuild
new file mode 100644
index 000000000000..6e134401fa29
--- /dev/null
+++ b/dev-python/scikit-learn/scikit-learn-1.6.1.ebuild
@@ -0,0 +1,76 @@
+# Copyright 2020-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=meson-python
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+inherit distutils-r1
+
+DESCRIPTION="Machine learning library for Python"
+HOMEPAGE="
+ https://scikit-learn.org/stable/
+ https://github.com/scikit-learn/scikit-learn/
+ https://pypi.org/project/scikit-learn/
+"
+SRC_URI="
+ https://github.com/scikit-learn/scikit-learn/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~ppc64 ~riscv ~x86 ~arm64-macos ~x64-macos"
+IUSE="examples"
+
+DEPEND="
+ virtual/blas:=
+ virtual/cblas:=
+ >=dev-python/numpy-1.19.5:=[${PYTHON_USEDEP}]
+"
+RDEPEND="
+ ${DEPEND}
+ >=dev-python/joblib-1.2.0[${PYTHON_USEDEP}]
+ >=dev-python/scipy-1.6.0[${PYTHON_USEDEP}]
+ >=dev-python/threadpoolctl-3.1.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ >=dev-python/pythran-0.14.0[${PYTHON_USEDEP}]
+ >=dev-python/cython-3.0.10[${PYTHON_USEDEP}]
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+# For some reason this wants to use urllib to fetch things from the internet
+# distutils_enable_sphinx doc \
+# dev-python/matplotlib \
+# dev-python/memory-profiler \
+# dev-python/numpydoc \
+# dev-python/pandas \
+# dev-python/pillow \
+# dev-python/seaborn \
+# dev-python/sphinx-gallery \
+# dev-python/sphinx-prompt \
+# dev-python/scikit-image
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # TODO: floating-point problems
+ gaussian_process/kernels.py::sklearn.gaussian_process.kernels.ExpSineSquared
+ # doctest failing on extra shape= in repr, probably numpy version
+ cluster/_hdbscan/hdbscan.py::sklearn.cluster._hdbscan.hdbscan.HDBSCAN
+ )
+
+ rm -rf sklearn || die
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest --pyargs sklearn
+}
+
+python_install_all() {
+ find "${S}" -name \*LICENSE.txt -delete || die
+ distutils-r1_python_install_all
+ use examples && dodoc -r examples
+}
diff --git a/dev-python/trove-classifiers/Manifest b/dev-python/trove-classifiers/Manifest
index d1f48843ef9e..0f203f3a5585 100644
--- a/dev-python/trove-classifiers/Manifest
+++ b/dev-python/trove-classifiers/Manifest
@@ -1,2 +1,3 @@
DIST trove_classifiers-2024.10.21.16.tar.gz 16153 BLAKE2B 9170a2f78b41d2d6793a5bbf7df7ce2ae4c1d70a193a92874bf74cad5a083d8153a9cd8ae42c85da3cdedc690c485aff8d864626efdb52965301f2a377ebb048 SHA512 4fca7cc5d172ddcb210bfbd6e993fc3d7243887762ba37c05aca3d6c5fcece8f573372704160c8048eb39c68d284fe808ca289c8c07564b06334bed6bafdc61e
+DIST trove_classifiers-2025.1.10.15.tar.gz 16251 BLAKE2B 38e4cf90c855762fe2fda81c7bb4099127e0d6e92b160026b0b29a1da211d8ae6f63c3002e37aed5abbbdc77f1d715d116aa44a2db0c3a020881d0199c2793b7 SHA512 d07e3c68e08c7a9488bc05f59762eaf70934c7645b4714860944e720b43cad20ca844d6d40eb468a40b7127080c11f526ed688a1fd38181a1701a7fa2eea5223
DIST trove_classifiers-2025.1.7.14.tar.gz 16130 BLAKE2B 7c5278e30dd939bfdf8795a8d73a50293a64f3e1c0784fda44d546d9c70ec98c69e88a87160517e6d759597b06e9728b53ac9bb26b9e8ac2995d4356c245a2d9 SHA512 06210009c52e6d4bb070f40052a396a48d9643b09864d2ac370449a91200818aabb595703048b3cb1fb97551e8e86d17b4cccbc3dbc19b34d199bdcbe50c3d96
diff --git a/dev-python/trove-classifiers/trove-classifiers-2025.1.10.15.ebuild b/dev-python/trove-classifiers/trove-classifiers-2025.1.10.15.ebuild
new file mode 100644
index 000000000000..e43d7ad35d9d
--- /dev/null
+++ b/dev-python/trove-classifiers/trove-classifiers-2025.1.10.15.ebuild
@@ -0,0 +1,42 @@
+# Copyright 2022-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Canonical source for classifiers on PyPI (pypi.org)"
+HOMEPAGE="
+ https://github.com/pypa/trove-classifiers/
+ https://pypi.org/project/trove-classifiers/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos ~x64-solaris"
+
+distutils_enable_tests pytest
+
+src_configure() {
+ grep -q 'build-backend = "setuptools' pyproject.toml ||
+ die "Upstream changed build-backend, recheck"
+ # write a custom pyproject.toml to ease hatchling bootstrap
+ cat > pyproject.toml <<-EOF || die
+ [build-system]
+ requires = ["flit_core >=3.2,<4"]
+ build-backend = "flit_core.buildapi"
+
+ [project]
+ name = "trove-classifiers"
+ version = "${PV}"
+ description = "Canonical source for classifiers on PyPI (pypi.org)."
+ EOF
+}
+
+python_test() {
+ epytest
+ "${EPYTHON}" -m tests.lib || die
+}
diff --git a/dev-python/watchfiles/Manifest b/dev-python/watchfiles/Manifest
index 8e7362bb6129..373b072b7460 100644
--- a/dev-python/watchfiles/Manifest
+++ b/dev-python/watchfiles/Manifest
@@ -15,11 +15,15 @@ DIST instant-0.1.13.crate 6305 BLAKE2B 83a2c479e21e789ca9795f66116ebc55481a42afb
DIST kqueue-1.0.8.crate 12642 BLAKE2B 93a0ee7484655045986d6d5ca800ca001d68bb327f841bff3e54b38beff09ff10c099b2432ebf90cf8213153370e4c4aeab9bb0eb3bb02b1bb494b461dfd2fa0 SHA512 c8734fa2cfbf8b8f173604acf5d13ad4cc2739c879387b548a1200f8383b81a1b72315449eb73844e4b82280a4c29901d20c12cdc746d48f9047db89849985f3
DIST kqueue-sys-1.0.4.crate 7160 BLAKE2B d75e152cfccbdf7ae000be14e0f84c6d1fd07290fe498349a8715061a83d8c02011b59578db2c451de011ac3eb4b218aeea73963a2a5cd82e7f5f49de0779632 SHA512 6650aef7efd7fbf4f9b6c8c6e4c1a91b79636423d46a0173dcb99de74e6f277cb02ada01cb62aa71c3f174a2c28db62a708b0aada9480fc5bde613204acb30a5
DIST libc-0.2.154.crate 743304 BLAKE2B 25ff132ec29b78dec455f0a1fc9fbfc744ee0d6eb410aba05ec6b1b08af9d83ec61e56f840f86cb833f590e8cdec7f67ce6e7b630ee227a36581650c81298b84 SHA512 891a36cf153a9f4d58793412c104504c57280994e428ce8ba208673a924b2de38cc21eece09b91696eaea3b2359606dbe9f1509f9bf364bdabdb366ef2dd0f61
+DIST libc-0.2.169.crate 757901 BLAKE2B 1012cf93d8975aa20fc3f2332e253426ff66be6aed63ace5292cc8568ee419b0f1a4b5b39ddbb78d9c2dfd8d72eb0d068c98faa229ab55556da5e674429f0e97 SHA512 c4566330a7967efc211edf31a23647d1a33aa51fc25aa4e9337716748c8fd4be0ae63679220ff2cf6e892f37d03bc5264c55e8f082eb82574a6ec1fa8e5e45ce
DIST libredox-0.1.3.crate 6068 BLAKE2B cf09f261d3a945d290ecaaa724903e0042d66eca46dde8a40c261ccb1e82c0d6b9926898eadafc6313fdb9f19cde56377b8a9179935482559c4b9707e327511a SHA512 c62142fdca92388664eef83fc89b8607e2df318cbadff6edf9e3d927837853d5cfeb54445299a82054a0ca81853b0a33536966ab26f1f2e0fa43b39aaaf67c49
DIST log-0.4.22.crate 44027 BLAKE2B 831dc5092db05123bf2e909eafa708339983edece9bc8cb802f0ab418d47ddc5045a72c1b58bc7c46ffa68080eebd0fd55d6e4f5b3d5ad3b0bc6b2ea0dcaace1 SHA512 bd7baa9c8a5523fd0864a53bcde955d484cacd782412b5b02c890b89dbf62137624da3a27337a310dd8f62bcc6606925a42bbd4ca161a3b7936ea4ff96bc0d71
DIST memoffset-0.9.1.crate 9032 BLAKE2B 0aab55fe084134bb599c52d77c96400db40949b1013e7037747ada4fcec8dc4a124b6f3755f04b36e057eb2fb4a6bd6f07d6eebcf166f8a71405ef434d802fbf SHA512 3a236c0f481e36973b9f805e454c2efe4dd375e6b4ee406b57145136c70d5fbf4e1183d563ebf3b5fbde7363bbf5f08f0d88e507aae5bda4cc75664ecd0e33aa
DIST mio-0.8.11.crate 102983 BLAKE2B 913a8e0e4843b3b19cce3eeaaff0a0024eaf1bdb4784a710e54ee95b6631edbd763e37669ec7d269e45157907663dd2eb6c9279db850fa47ef4c1eee867ea24a SHA512 9a2806ea78b0637d0cf92448abcd50bc5d09bd80da0f37752c847bc98d014baae7a5cc4d929de98be6283c76d82ccab1f1467aa6ab583a4e782d97d5592b0bb1
+DIST mio-1.0.3.crate 103703 BLAKE2B 0d2360e4ef45f37104208a31e9aa467d6db041dfeb97403a010a36e1e1427f51d97f8408948c75c0084e6c118f058267bfe87d36e7911cb37366f2b1ac6eb693 SHA512 2142edc7e9378fc3437110c85ba2cee9c9683e87034cd44275d2c389645979db53fbbc29fec304f1d8c8f0464ae17d2a5db1aa9215d696fa0282f5069700b1e2
DIST notify-0f87ab12707d231fa44180454d59478d3992eb59.gh.tar.gz 96557 BLAKE2B 6365bff1c274d26cf333af40d6fbe66d6ae661e24f67e955cb4c8d00555ca813226e40684129902c248eb557de300424776576204218fbbcb8333b9384ec010e SHA512 3f100ea3fd443c616d8bcdbebe0d69626bb0f1e5dacdc4798db036f6f657e7684924bbaa1cd83ae958b6b93a47988939243d3987bea2cd72133cd2196b5bec7f
+DIST notify-7.0.0.crate 35141 BLAKE2B 671e6e02d35f277a1fb552ba04d9aa8073fd98212ab5ddd6eb92e3d234961f14a5541c3466f6da8a0e366f4d83a1c9723159e41249d8032a6d6405b0ff2cea5a SHA512 e55407f5235192dd784132182549f5cd8ab211bfbc4aebdfc5b2da61b726d5bc523951b675190ab218c6aa125bc70d2bd85c87061e113f825dae22b0b5990d82
+DIST notify-types-1.0.1.crate 14490 BLAKE2B dcdf805989cd64a3c132a73c4100388113bffd1446f1a4d9685826ea43b126b9a51c70340c3221fdd20b1e3aa814b58d4051a995820de206078deaeae4d34eb5 SHA512 3a040f916c967fafc934ddb75b0cab81c8e3c4cd9e7213a8bc5e8650f7481f6a11b740e033348833338c46ba917189f34fd9a933a6dce606381cc361ef44b447
DIST once_cell-1.19.0.crate 33046 BLAKE2B c14b374eaf4ac0f60acc2e02f7bba270a0e8e0a6978d749cd3cb0ab3eb26907e4fbea70dd5132982f90290381ed18ff8a87fd530f1415fabffac864f157ea380 SHA512 4154876afd34a699ee650d1a8a1c5ee5a25f0ebd9388b8bef2564e33629fae68f113d7507488c68abbe7ea1acf9bbc41813cbbf3ef3e464e3f3b9cc7a51d870c
DIST portable-atomic-1.6.0.crate 140689 BLAKE2B c91d06e04a87c9a207233d8a850859aa1f5cc43dda8aed34511c3fe9641c27412796539ed045a58e649d2a0c7d71100b6b2d78a0c662fc061fd961a652ae8722 SHA512 b27cf57655a2f1e2d6ea7b45d80b4f9920a836e462f132c50dc1e4d314e162444309de1baecf45dad2defc7a5b99759165e54da9fe759b24092f8cb8755c515c
DIST proc-macro2-1.0.81.crate 48233 BLAKE2B 94319064772c757b6bf57eb9e759e827454f719d82210271ebab9c6ee4ecfddc9099522cdc8595123efe2efb64fd50eadd7e31419c5842ff1cb8fdd32e8daa0c SHA512 7edec4b786d9fe076ced4fa5c0d369c163fd1c27c895431245a8268ab2e16665b7c0a585552d46ceee6b8103979a4201f92abb381f0e678128abed359f514de7
@@ -39,6 +43,7 @@ DIST unindent-0.2.3.crate 7306 BLAKE2B a57407b117e99c230750c7d4a2a0899586c8271e4
DIST walkdir-2.5.0.crate 23951 BLAKE2B a2d3a973f206e94699adec0263dd5e211347722cf3ab82536295019268b3125084da5dbcad818070bfdcb6a5de08da4eb483475bc225a829f58a1e3e040b5fba SHA512 da36a121dc6656942dc9cd9887fcf4f6eea7750354ef3f59c7c25d836e7afe06f33260b4d55d0d99421104ed4ce56ef2a1f0f4c3b713766fff90548c21793fad
DIST wasi-0.11.0+wasi-snapshot-preview1.crate 28131 BLAKE2B fe501889f25d65e2d032f885cc50c4f8bf7dd70fd5cbc438de349838370d8699e9627b0a4fc76030ea9fe6d508f41d0c9928a875fdbc47e73bfb17241cf7b155 SHA512 043500ab28cd9cb779475255da5d109ebab7fccca72b64873dc28d77bc5a157ba8d96b9e8f05223b5b36c7089bb7b4ba87657fc69bac16b78972f897294a865f
DIST watchfiles-1.0.3.gh.tar.gz 47675 BLAKE2B d10b8f0a9db435939e08ab700a7b29e08bcc5fb2d7b1ff255d18aaa125b6bfb7474a9737f22de52947d3a281201dd347ff07b9a5f21989f94c14a9470412ebca SHA512 7e5864a53c28ee4a5486394bad05b1d3c09851dd4b921b364b648170e5eec4ca853f5cf4a1d60dac93b037837e56fffb5f45572d9a13875f4745fa2417a94d2f
+DIST watchfiles-1.0.4.gh.tar.gz 99947 BLAKE2B 94155b090a05f8aad33e6492c264dce4e8da20d8a0a48e314ce67566f523040ec7c14b7445331651dc24477defd3b76953ee6f9558c884aa22bf6d62e0ec6564 SHA512 8b8c0deb0e4a880d6762745fc306d1727df8010c629c2a8c96f44e0a5a2421569d71dc6464b8a340b3b21c22915d75900fe857c0e5d6a4af2db409af730b9938
DIST winapi-util-0.1.9.crate 12464 BLAKE2B 7fb9dd803fc2608c4e5bc75674472992d82da364f24c22072d5624d6ae6abc44abd3e3ea3c45a7558e045331f3d87572b306b4ab5de52c07ff3706e7f13c2a38 SHA512 c46b893f67ec6e36499b00736bb6b9421e0e2611e76784afa6da01d7ebd033df82f1be7cf8d871d541125d290983f98f26f759488ba9aface49efce8edd682e9
DIST windows-sys-0.48.0.crate 2628884 BLAKE2B 551e900de4f67187ef034b60df9fd0e0d8f82a3100ef28e1eabd543ac129d882dc86ffcc1714071aba09e4cb2ae2d2f07ace1a32b99fd989ce525cf05991edab SHA512 bdf534bcf3face31e9ebe11427a911a53f89f4ff5eaea8cccd094e139bfe14b2aec602b1cab1df774794d999477439d9adc6b627a8e33c20334fc348ba2c47ed
DIST windows-sys-0.52.0.crate 2576877 BLAKE2B 69d6b560ccfc8f679e2678663ba606060d71fa28efa82c8aef8cceaa2c63b06f2052764d60163964f939649a26bbec6361ee4b094555e941fae92070db566980 SHA512 24ee0df246c2b456a4987a9124786a28acd358768cc7d1305bccd81bc5bb8822b81a03fb18d35174a520b911c6d9b685f81a34ab319fee13da3b985273584f03
diff --git a/dev-python/watchfiles/watchfiles-1.0.4.ebuild b/dev-python/watchfiles/watchfiles-1.0.4.ebuild
new file mode 100644
index 000000000000..fe5bdc706f8f
--- /dev/null
+++ b/dev-python/watchfiles/watchfiles-1.0.4.ebuild
@@ -0,0 +1,119 @@
+# Copyright 2022-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=maturin
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+
+CRATES="
+ autocfg@1.3.0
+ bitflags@1.3.2
+ bitflags@2.6.0
+ cc@1.0.96
+ cfg-if@1.0.0
+ crossbeam-channel@0.5.12
+ crossbeam-utils@0.8.19
+ filetime@0.2.24
+ fsevent-sys@4.1.0
+ heck@0.5.0
+ indoc@2.0.5
+ inotify-sys@0.1.5
+ inotify@0.10.2
+ instant@0.1.13
+ kqueue-sys@1.0.4
+ kqueue@1.0.8
+ libc@0.2.169
+ libredox@0.1.3
+ log@0.4.22
+ memoffset@0.9.1
+ mio@1.0.3
+ notify-types@1.0.1
+ notify@7.0.0
+ once_cell@1.19.0
+ portable-atomic@1.6.0
+ proc-macro2@1.0.81
+ pyo3-build-config@0.23.3
+ pyo3-ffi@0.23.3
+ pyo3-macros-backend@0.23.3
+ pyo3-macros@0.23.3
+ pyo3@0.23.3
+ python3-dll-a@0.2.11
+ quote@1.0.36
+ redox_syscall@0.5.3
+ same-file@1.0.6
+ syn@2.0.60
+ target-lexicon@0.12.14
+ unicode-ident@1.0.12
+ unindent@0.2.3
+ walkdir@2.5.0
+ wasi@0.11.0+wasi-snapshot-preview1
+ winapi-util@0.1.9
+ windows-sys@0.52.0
+ windows-sys@0.59.0
+ windows-targets@0.52.6
+ windows_aarch64_gnullvm@0.52.6
+ windows_aarch64_msvc@0.52.6
+ windows_i686_gnu@0.52.6
+ windows_i686_gnullvm@0.52.6
+ windows_i686_msvc@0.52.6
+ windows_x86_64_gnu@0.52.6
+ windows_x86_64_gnullvm@0.52.6
+ windows_x86_64_msvc@0.52.6
+"
+
+inherit cargo distutils-r1
+
+DESCRIPTION="Simple, modern file watching and code reload in Python"
+HOMEPAGE="
+ https://pypi.org/project/watchfiles/
+ https://github.com/samuelcolvin/watchfiles/
+"
+SRC_URI="
+ https://github.com/samuelcolvin/watchfiles/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ ${CARGO_CRATE_URIS}
+"
+
+LICENSE="MIT"
+# Dependent crate licenses
+LICENSE+="
+ Apache-2.0-with-LLVM-exceptions BSD CC0-1.0 ISC MIT Unicode-DFS-2016
+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/anyio-4.0.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/setuptools-rust[${PYTHON_USEDEP}]
+ test? (
+ dev-python/dirty-equals[${PYTHON_USEDEP}]
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ dev-python/pytest-timeout[${PYTHON_USEDEP}]
+ )
+"
+
+# enjoy Rust
+QA_FLAGS_IGNORED=".*/_rust_notify.*"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ distutils-r1_src_prepare
+
+ export UNSAFE_PYO3_SKIP_VERSION_CHECK=1
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # test broken with new anyio
+ # https://github.com/samuelcolvin/watchfiles/issues/254
+ tests/test_watch.py::test_awatch_interrupt_raise
+ )
+
+ rm -rf watchfiles || die
+ epytest
+}